package CheckUploadProgressBase;
require CMONOS::CGI_Lib::Base;
@ISA = qw(Base);
use strict;
use utf8;
######################################################################
# アップローダープログレスバー更新モジュール
# CheckUploadProgressBase.pm ver1.0.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2011-12-29
######################################################################
# 設定読み込みをスキップ
sub login ($) {
    my $this = shift;
}

######################################################################
# 実行
sub run ($) {
    my $this = shift;
    my ( $status, $uploaded, $total );
    if ( $main::check_key && $env::clipboard ) {
        my $id = $default::id;
        if ( !$id ) {
            $id = $ENV{'SCRIPT_NAME'};
            $id =~ s!/[^/]+$!!;
            $id =~ s!/!_!g;
        }
        my $check_key
            = $id . '_'
            . $this->encrypted_unique_id(
            $main::check_key . ( $ENV{'REMOTE_ADDR'} || '' ), 'uL' );
        ( $uploaded, $total )
            = split( /\//,
            $this->read_file( $env::clipboard . '/' . $check_key, 1 ) );
    }
    if ($total) {
        $status
            = ( $uploaded && $uploaded == $total ) ? 'completed' : 'success';
        $uploaded = $uploaded || 0;
    }
    else {
        $status = 'completed';
    }
    $uploaded = 'null' if !defined $uploaded || $uploaded eq '';
    $total    = 'null' if !defined $total    || $total eq '';
    print <<HTML;
Content-Type: text/html

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta name="generator" content="http://cmonos.jp/" />
<title lang="ja">progress bar</title>
<script language="JavaScript" type="text/javascript">
//<![CDATA[
if (parent && typeof parent.cmonos != 'undefined' && typeof parent.cmonos.form != 'undefined' && typeof parent.cmonos.form.current != 'undefined') {
	parent.cmonos.form.current.updateUploadProgress('$status',$uploaded,$total);
}
//]]>
</script>
</head>
<body>
</body>
</html>
HTML
}

######################################################################
# モジュール読み込み
#sub import {
BEGIN {
    $main::k = 'ulcheck';
}

1;
