package PageObj;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# 共通部品モジュール
# PageObj.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定チェック項目
sub get_setting_items ($) {
    my $this = shift;
}

######################################################################
# 設定環境
sub set_sub_preferences ($) {
    no warnings qw(once);
    my $this = shift;
    $preference::id   = '';                         # データキー
    $preference::name = '共通ボタン設定';    # 設定パネル名
    $preference::title
        = '各ページが共通して利用するボタン等について設定します。';
}

######################################################################
# 設定パネル
sub print_preference_panel ($) {
    my $this = shift;
    $this->print_close_button_setting;
    $this->print_sc_button_setting;
    print
        '<fieldset class="submit"><input type="submit" value="保存" class="save" /></fieldset>';
}

######################################################################
# 登録
#sub import {
BEGIN {
    no warnings qw(once);
    if ( !$default::subdivided
        || ( $default::subdivided && defined $main::c && $main::c ne '' ) )
    {
        #クラス登録
        Common::class_register( 'c0zz', 'PageObj' );

        #ツール登録
        $setting::sub_jump_menu{'page'}{'c0zz'} = '共通ボタン設定';
        $setting::selected_jump_menu{'c0zz'} = 'c010'
            ; #サブメニューがあるときメインメニューのデフォルトキー

        #画像
        $setting::deco_dir{'return'}  = '戻る ボタン';
        $setting::deco_type{'return'} = 'button';
        $setting::deco_dir{'close'}   = '閉じる ボタン';
        $setting::deco_type{'close'}  = 'button';

        if ( defined $env::checkout && $env::checkout ) {
            $setting::deco_dir{'check'}  = 'カートを見る ボタン';
            $setting::deco_type{'check'} = 'button';
        }
    }
}

1;
