package TeaserCommon;
use strict;
use utf8;
use Fcntl qw(:DEFAULT :flock);
######################################################################
# 埋め込み用リスト作成共通モジュール
# TeaserCommon.pm ver1.0.1
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2011-05-20
######################################################################
sub login ($) {
    my $this = shift;
    $this->error404;
}

sub is_secure ($$;$) {
    my ( $this, $key ) = @_;
    return ( $setting::security{$key}{'passwordCheck'} eq 'nocheck' ) ? 1 : 0;
}

sub set_viewer ($) {
    my $this = shift;
}

sub open_filehandle ($) {
    my $this = shift;
    $cgi::output        = $default::file . '/' . $setting::key . '.ssi';
    $cgi::output_option = 'abs';
    $this->use_deco($cgi::output);
    open( Teaser::TEASER, ">>$cgi::output" );
    binmode Teaser::TEASER, ":utf8";
    flock( Teaser::TEASER, LOCK_EX );
    truncate( Teaser::TEASER, 0 );
    seek( Teaser::TEASER, 0, 0 );
    $this->{'filehandle'} = \*Teaser::TEASER;
}

sub close_filehandle ($) {
    my $this   = shift;
    my $handle = $this->{'filehandle'};

#print $handle ('<script type="text/javascript" language="JavaScript" src="' . $cgi::path . '?m=Teaser&amp;tn=' . $main::tn . '&amp;js=1"></script>');
#print $handle ('<noscript><img src="' . $cgi::path . '?m=Teaser&amp;tn=' . $main::tn . '" width="1" height="1" alt="" style="position:absolute" /></noscript>');
    if ( $setting::page{$setting::key}{'linkEnabled'} ) {
        print $handle '<p class="tm-link"><a href="'
            . $cgi::path
            . $this->set_query( 'url', [ grep( $_ ne 'f', @setting::form ) ] )
            . '">'
            . ( ( $setting::page{$setting::key}{'linkText'} )
            ? $setting::page{$setting::key}{'linkText'}
            : '&raquo; もっと見る' )
            . '</a></p>';
    }
    print $handle ( '<img src="'
            . $cgi::path
            . '?m=Teaser&amp;tn='
            . $main::tn
            . '" width="1" height="1" alt="" style="position:absolute" />' );
    close $handle;
    $this->mk_external_javascript(
        $default::file . '/' . $setting::key . '.ssi' );
}

sub print_viewer_header ($) {
    my $this = shift;
}

sub print_toolbox ($$) {
    my $this = shift;
}

sub print_page_jump_form ($) {
    my $this = shift;
}

sub print_download_form ($) {
    my $this = shift;
}

sub print_page_return_form ($) {
    my $this = shift;
}

sub print_viewer_footer ($) {
    my $this = shift;
}

sub set_rss_link ($;$) {
    my $this = shift;
}

1;
