package DayCountPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# 日数カウントページ設定モジュール
# DayCountPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'dcount'
        if !defined $preference::id
        || $preference::id ne 'dcount';    # データキー
    $preference::name = '日数カウントページレイアウト'
        if !defined $preference::name
        || $preference::name ne
        '日数カウントページレイアウト';    # 設定パネル名
}

######################################################################
# 設定パネル
sub print_sub_preference_panel ($$;$) {
    my ( $this, $id, $key ) = @_;
    my ($tool);
    require CMONOS::CGI_Lib::Template;
    my $this_template = Template->new;

    #入力支援ツール
    $tool
        = '<select class="tool" onchange="cmonos.form.item(this.form).fieldname(\'data:'
        . $id
        . 'template\').quotationByMenu(this)" title="これらのタグは、書き出し時に適切な表示に変換されます。">';
    $tool .= '<option value="">▼特殊タグを挿入する</option>';
    $tool
        .= '<option value="&lt;!--daycounter id=&quot;&quot;--&gt;">日数カウンター</option>';
    $tool
        .= '<option value="&lt;!--daycountertitle id=&quot;&quot;--&gt;">日数カウンタータイトル</option>';
    $tool .= '<option value="&lt;!--calendar--&gt;">カレンダー</option>';
    $tool .= '</select>';
    $this_template->print_template_form( 'data:' . $id . 'template',
        'ページテンプレート', \$main::data{ $key . 'template' },
        \$tool );
}

######################################################################
#sub import {
BEGIN {
    no warnings qw(once);

    #クラス登録
    Common::class_register( 'd000', 'DayCountPage' );

    #ツール登録
    $setting::jump_menu{'d000'} = '日数カウントページ';
}

1;
