package AutoRegisterPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
no warnings qw(once);
######################################################################
# 自動登録ページ設定モジュール
# AutoRegisterPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'register';    # データキー
    $preference::name
        = '自動登録ページレイアウト';    # 設定パネル名
    $preference::title
        = '自動登録ページのレイアウトについて設定します。';
}

######################################################################
# 設定パネル
sub print_sub_preference_panel ($) {
    my $this = shift;
    print '<fieldset><legend>ボタン設定</legend>';

    print '<fieldset><legend>戻る ボタン</legend>';
    print $cgi::Deco->button_menu( 'data:register_returnButton', 'return',
        120, $main::data{'register_returnButton'} );
    print '</fieldset>';

    print '<fieldset><legend>「次」ボタン</legend>';
    print $cgi::Deco->button_menu( 'data:register_nextButton', 'next', 120,
        $main::data{'register_nextButton'} );
    print '</fieldset>';

    print '</fieldset>';
}

######################################################################
#sub import {
BEGIN {
    #クラス登録
    Common::class_register( 'k000', 'AutoRegisterPage' );

    #ツール登録
    $setting::jump_menu{'k000'} = '自動登録ページレイアウト';

    #画像
    $setting::deco_dir{'next'}    = '「次」ボタン';
    $setting::deco_type{'next'}   = 'button';
    $setting::deco_dir{'return'}  = '戻る ボタン';
    $setting::deco_type{'return'} = 'button';

}

1;
