package PasswordPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# パスワード登録ページ設定モジュール
# PasswordPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'pswd';    # データキー
    $preference::name = 'パスワード登録ページレイアウト'
        ;                        # 設定パネル名
}

######################################################################
# 設定パネル
sub print_sub_preference_panel ($$$) {
    my ( $this, $id, $key ) = @_;
    $this->print_close_button_setting(1);
}

######################################################################
# 設定チェック
sub is_valid_setting ($) {
    my $this = shift;
    $main::data{'closeButtonDisabled'} = ''
        if !defined $main::data{'closeButtonDisabled'}
        || $main::data{'closeButtonDisabled'} eq '';
    return;
}

######################################################################
#sub import {
BEGIN {
    #クラス登録
    Common::class_register( 'r000', 'PasswordPage' );

    #ツール登録
    if ($env::openid_enabled) {
        $setting::jump_menu{'r000'} = 'ページレイアウト'
            if !defined $setting::jump_menu{'r000'}; #これがデフォルト
        $setting::sub_jump_menu{'page'}{'r000'}
            = 'パスワード登録ページ'
            if !defined $setting::sub_jump_menu{'page'}{'r000'};
        $setting::selected_jump_menu{'r000'} = 'r000'
            if !defined $setting::selected_jump_menu{'r000'}
            ; #サブメニューがあるときメインメニューのデフォルトキー
        $preference::page{'r000'} = 'pswd'
            if !defined $preference::page{'r000'};
    }
    else {
        $setting::jump_menu{'r000'}
            = 'パスワード登録ページレイアウト';
    }
}

1;
