package DetailGate;
require CMONOS::TableMaker::Gate;
@ISA = qw(Gate);
use strict;
use utf8;
######################################################################
# 詳細ビュー選択モジュール
# DetailGate.pm ver1.0.1
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2015-01-21
######################################################################
# 表示フィールド取得
sub get_required_fields ($) {
    my $this = shift;
    $this->{'revForm'} = 1
        if $setting::security{'revise'}{'passwordCheck'} eq 'nocheck'
        || $this->is_secure('revise');
    foreach my $i ( @{ $this->{'required_fields'} } ) {
        $this->set_field_setting($i);
    }
}

######################################################################
# クラス登録
#sub import {
BEGIN {

    #設定種キー設定
    $setting::security_key = 'detail';
    $setting::key          = 'detailgate';

    #デフォルトキー
    $main::k = 'detailgate' if !defined $main::k || $main::k eq '';

    #クラス登録
    Common::class_register( 'detailgate', 'DetailGate' );

    #必須フォーム
    @setting::form = ( 'm', 'c', 's', 'w', 'u', 'mod' );
}

1;
