package ShoppingCart;
require CMONOS::TableMaker::Field::TMUserGeneratedField;
require CMONOS::CGI_Lib::Field::ShoppingCartForDB;
@ISA = qw(TMUserGeneratedField ShoppingCartForDB);
use strict;
use utf8;
######################################################################
# フィールド定義モジュール（ショッピングカート）
# ShoppingCart.pm 1.0.2
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
# 最終更新日：2012-06-26
######################################################################
sub get_digital_content_directory_path ($) {
    my $this = shift;
    return ( $main::m eq 'Tools' )
        ? $default::db
        : $default::db . '/' . $main::c . '/digital-content';
}

sub ftp_url_fix ($) {
    my $this = shift;
    return
          '/'
        . ( ( defined $main::c ) ? $main::c : '[category]' )
        . '/digital-content';
}

sub current_module {
    my ( $this, $m ) = @_;
    return ( $this->{'linkToDetailViewer'} ) ? 'DetailViewer' : $m;
}

sub print_sub_setting_form ($) {
    my ( $this, $name ) = @_;
    print '<fieldset>';
    print '<legend>商品名のリンク先</legend>';
    print '<label><input type="checkbox" name="'
        . $name
        . '_linkToDetailViewer" value="1"'
        . ( ( $this->{'linkToDetailViewer'} ) ? ' checked="checked"' : '' )
        . ' /> 常に商品の詳細画面にリンクする</label>';
    print '</fieldset>';
}

sub is_valid_sub_setting ($) {
    my $this = shift;
    $main::data{ $this->{'id'} . '_linkToDetailViewer' } = ''
        if !defined $main::data{ $this->{'id'} . '_linkToDetailViewer' }
        || !$main::data{ $this->{'id'} . '_linkToDetailViewer' };
    return 1;
}

######################################################################
#sub import {
BEGIN {
    no warnings qw(once);
    if (   $env::checkout
        && -e $env::checkout
        && !$setting::field_for_mail
        && ( !defined $default::type || $default::type eq '' ) )
    {
        Field::class_register( 'ysc_cart', 'ShoppingCart',
            'ショッピングカート' );
    }
}

1;
