// CMONOS.JP JavaScript Library gsearch.js
// Copyright (C) 2009-2018 CMONOS Co. Ltd.
// Last-Mocified:2017-11-11

cmonos.tool.gsearch = {
	set : function (settings) {
		this_gsearch = this;
		cmonos.window.setOnLoad(function () {
			if (!this_gsearch._box) {
				if (!settings.target) settings.target = document.getElementsByTagName('body')[0];
				if (!settings.site) settings.site = document.domain;
				if (!settings.label) settings.label = settings.site;
				this_gsearch._box = document.createElement('div');
				settings.target.appendChild(this_gsearch._box);
				this_gsearch._box.id = 'gsearch-box';
				var title = document.createElement('span');
				this_gsearch._box.appendChild(title);
				title.id = 'gsearch-title';
				title.appendChild(document.createTextNode(settings.title || 'Search'));
				var form_box = document.createElement('div');
				form_box.id = 'gsearch-form';
				var this_box = this_gsearch._box;
				this_box.appendChild(form_box);
				if (!settings.cx || (navigator.appVersion.search(/MSIE/) != -1 && (!document.documentMode || document.documentMode < 9))) {
					var document_charset = (typeof document.characterSet == 'undefined' || document.characterSet == null) ? (typeof document.charset == 'undefined') ? 'UTF-8' : document.charset : document.characterSet;
					document_charset = document_charset.replace('x-','');
					var site_domain = settings.site.match(/^[^\/]+/);
					var search_form = document.createElement('form');
					search_form.id = 'gsearch-legacy';
					search_form.setAttribute('action','//www.google.co.jp/search');
					search_form.setAttribute('method','get');
					form_box.appendChild(search_form);
					var logo = document.createElement('a');
					logo.setAttribute('target','_blank');
					logo.setAttribute('href','//www.google.co.jp/');
					search_form.appendChild(logo);
					var img = document.createElement('img');
					img.setAttribute('src','//www.google.co.jp/intl/ja/logos/Logo_25wht.gif');
					img.setAttribute('alt','Google');
					img.setAttribute('border','0');
					logo.appendChild(img);
					var search_box = document.createElement('input');
					search_box.setAttribute('type','text');
					search_box.setAttribute('name','q');
					search_box.setAttribute('size','24');
					search_box.setAttribute('maxlength','255');
					search_box.className = 'gsc-input';
					search_form.appendChild(search_box);
					var param1 = document.createElement('input');
					param1.setAttribute('type','hidden');
					param1.setAttribute('name','ie');
					param1.setAttribute('value',document_charset);
					search_form.appendChild(param1);
					var param2 = document.createElement('input');
					param2.setAttribute('type','hidden');
					param2.setAttribute('name','oe');
					param2.setAttribute('value',document_charset);
					search_form.appendChild(param2);
					var param3 = document.createElement('input');
					param3.setAttribute('type','hidden');
					param3.setAttribute('name','hl');
					param3.setAttribute('value','ja');
					search_form.appendChild(param3);
					var param4 = document.createElement('input');
					param4.setAttribute('type','hidden');
					param4.setAttribute('name','domains');
					param4.setAttribute('value',site_domain);
					search_form.appendChild(param4);
					var button = document.createElement('input');
					button.setAttribute('type','submit');
					button.setAttribute('name','btnG');
					button.setAttribute('value','Google 検索');
					search_form.appendChild(button);
					var root = (settings.site.search("/") == -1) ? true : false;
					var label1 = document.createElement('label');
					search_form.appendChild(label1);
					label1.innerHTML = '<input type="radio" name="' + ((root) ? 'sitesearch' : 'hq') + '" value="" />ウェブ';
					var label2 = document.createElement('label');
					search_form.appendChild(label2);
					label2.innerHTML = '<input type="radio" name="' + ((root) ? 'sitesearch' : 'hq') + '" value="' + ((root) ? settings.site : 'site:' + site_domain + ' inurl:' + settings.site) + '" checked="checked" />' + settings.label;
					if (navigator.appVersion.search(/MSIE/) != -1 && (!document.documentMode || document.documentMode < 7)) {
						cmonos.element.item(this_box).addEventListener('mouseover',function (e) {
							cmonos.element.item(this_box).addClassName('hover');
						});
						cmonos.element.item(this_box).addEventListener('mouseout',function (e) {
							cmonos.element.item(this_box).removeClassName('hover');
						});
					}
				} else {
					form_box.innerHTML = '<gcse:search autoSearchOnLoad="false"></gcse:search>';
					var gcse = document.createElement('script');
					gcse.type = 'text/javascript';
					gcse.async = true;
					gcse.src = '//www.google.com/cse/cse.js?cx=' + settings.cx;
					var s = document.getElementsByTagName('script')[0];
					s.parentNode.insertBefore(gcse, s);
				}
				cmonos.element.item(this_gsearch._box).addEventListener('mouseover',function (e) {
					if (!this._search) {
						var inputs = document.getElementsByTagName('input');
						for (var i=0; i<inputs.length; i++) {
							if (cmonos.element.item(inputs[i]).hasClassName('gsc-input')) {
								this._search = inputs[i];
								break;
							}
						}
						if (this._search) {
							cmonos.element.item(this._search).addEventListener('keydown',function (e) {
								cmonos.element.item(this_box).addClassName('focused');
							});
							cmonos.element.item(this._search).addEventListener('blur',function (e) {
								cmonos.element.item(this_box).removeClassName('focused');
							});
						}
					}
					if (this._search) this._search.focus();
				});
			}
		});
	}
}
